Name:                python-wrapt-1.10
Version:             1.10.8
Release:             4
Summary:             A Python module for decorators, wrappers and monkey patching
License:             BSD
URL:                 https://github.com/GrahamDumpleton/wrapt
Source0:             https://github.com/GrahamDumpleton/wrapt/archive/%{version}.tar.gz
BuildRequires:       python3-devel gcc
%description
The aim of the wrapt module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of
function wrappers and decorator functions.

%package doc
Summary:             Documentation for the wrapt module
BuildRequires:       python-sphinx python-sphinx_rtd_theme
%description doc
Documentation for the wrapt module

%package -n python3-wrapt-1.10
Summary:             A Python module for decorators, wrappers and monkey patching
Conflicts:           python3-wrapt
%description -n python3-wrapt-1.10
The aim of the wrapt module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of
function wrappers and decorator functions.

%prep
%setup -q -n wrapt-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
pushd docs
sphinx-build -b html -d build/doctrees . build/html
popd

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files doc
%doc docs/build/html

%files -n python3-wrapt-1.10
%doc README.rst
%license LICENSE
%{python3_sitearch}/wrapt
%{python3_sitearch}/wrapt-%{version}-py?.?.egg-info

%changelog
* Thu Oct 27 2022 yaoxin <yaoxin30@h-partners.com> - 1.10.8-4
- Add conficts for python3-wrapt

* Fri Nov 05 2021 huangtianhua <huangtianhua@huawei.com> - 1.10.8-3
- Correct package name to support multiple version

* Fri Jul 09 2021 wangyue <wangyue92@huawei.com> - 1.10.8-2
- Fix build error:Empty %file wrapt-1.10.8/debugfiles.list

* Thu Apr 14 2021 huanghaitao <huanghaitao8@huawei.com> - 1.10.8-1
- package init
